Class UmlSettings

This class manages settings not linked with a language, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'UmlSettings::member' rather than
'UmlSettings::instance()->member' or other long sentence like this.

Declaration :

- C++ : class UmlSettings
- Java : class UmlSettings

Directly inherited by : CppSettings IdlSettings JavaSettings PhpSettings

Artifact : UmlSettings

Operation artifactDescription

return the default description

Declaration :

- Uml : static, + artifactDescription() : string
- C++ : public: static QCString artifactDescription()
- Java : public static String artifactDescription()

Operation set_ArtifactDescription

set the default description
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ArtifactDescription(in v : string) : bool
- C++ : public: static bool set_ArtifactDescription(QCString v)
- Java : public static void set_ArtifactDescription(String v)

Operation classDescription

return the default description

Declaration :

- Uml : static, + classDescription() : string
- C++ : public: static QCString classDescription()
- Java : public static String classDescription()

Operation set_ClassDescription

set the default description
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassDescription(in v : string) : bool
- C++ : public: static bool set_ClassDescription(QCString v)
- Java : public static void set_ClassDescription(String v)

Operation operationDescription

return the default description

Declaration :

- Uml : static, + operationDescription() : string
- C++ : public: static QCString operationDescription()
- Java : public static String operationDescription()

Operation set_OperationDescription

set the default description
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_OperationDescription(in v : string) : bool
- C++ : public: static bool set_OperationDescription(QCString v)
- Java : public static void set_OperationDescription(String v)

Operation attributeDescription

return the default description

Declaration :

- Uml : static, + attributeDescription() : string
- C++ : public: static QCString attributeDescription()
- Java : public static String attributeDescription()

Operation set_AttributeDescription

set the default description
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_AttributeDescription(in v : string) : bool
- C++ : public: static bool set_AttributeDescription(QCString v)
- Java : public static void set_AttributeDescription(String v)

Operation relationDescription

return the default description

Declaration :

- Uml : static, + relationDescription() : string
- C++ : public: static QCString relationDescription()
- Java : public static String relationDescription()

Operation set_RelationDescription

set the default description
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationDescription(in v : string) : bool
- C++ : public: static bool set_RelationDescription(QCString v)
- Java : public static void set_RelationDescription(String v)

Operation umlGetName

return the language from which the getter's name rule must be followed at Uml level

Declaration :

- Uml : static, + umlGetName() : aLanguage
- C++ : public: static aLanguage umlGetName()
- Java : public static aLanguage umlGetName()

Operation set_UmlGetName

set the language from which the getter's name rule must be followed at Uml level
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UmlGetName(in v : aLanguage) : bool
- C++ : public: static bool set_UmlGetName(aLanguage v)
- Java : public static void set_UmlGetName(aLanguage v)

Operation umlSetName

return the language from which the setter's name rule must be followed at Uml level

Declaration :

- Uml : static, + umlSetName() : aLanguage
- C++ : public: static aLanguage umlSetName()
- Java : public static aLanguage umlSetName()

Operation set_UmlSetName

set the language from which the setter's name rule must be followed at Uml level
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UmlSetName(in v : aLanguage) : bool
- C++ : public: static bool set_UmlSetName(aLanguage v)
- Java : public static void set_UmlSetName(aLanguage v)

Operation UmlSettings

never called !

Declaration :

- Uml : # UmlSettings() :
- C++ : protected: UmlSettings()
- Java : protected UmlSettings()

Attribut _defined

Declaration :

- Uml : static, # _defined : bool
- C++ : protected: static bool _defined
- Java : protected static boolean _defined

Relation _uml_get_name (<directional composition>)

Declaration :

- Uml : static, - _uml_get_name : aLanguage
- C++ : private: static aLanguage _uml_get_name
- Java : private static aLanguage _uml_get_name

Relation _uml_set_name (<directional composition>)

Declaration :

- Uml : static, - _uml_set_name : aLanguage
- C++ : private: static aLanguage _uml_set_name
- Java : private static aLanguage _uml_set_name

Attribut _artifact_default_description

Declaration :

- Uml : static, # _artifact_default_description : string
- C++ : protected: static QCString _artifact_default_description
- Java : protected static String _artifact_default_description

Attribut _class_default_description

Declaration :

- Uml : static, # _class_default_description : string
- C++ : protected: static QCString _class_default_description
- Java : protected static String _class_default_description

Attribut _operation_default_description

Declaration :

- Uml : static, # _operation_default_description : string
- C++ : protected: static QCString _operation_default_description
- Java : protected static String _operation_default_description

Attribut _attribute_default_description

Declaration :

- Uml : static, # _attribute_default_description : string
- C++ : protected: static QCString _attribute_default_description
- Java : protected static String _attribute_default_description

Attribut _relation_default_description

Declaration :

- Uml : static, # _relation_default_description : string
- C++ : protected: static QCString _relation_default_description
- Java : protected static String _relation_default_description

Attribut _map_builtins

Declaration :

- Uml : static, # _map_builtins : UmlBuiltin
- C++ : protected: static QDict<UmlBuiltin> _map_builtins
- Java : protected static Hashtable _map_builtins

Relation _builtins (<unidirectional association>)

Declaration :

- Uml : static, # _builtins : UmlBuiltin
- C++ : protected: static UmlBuiltin * _builtins
- Java : protected static UmlBuiltin[] _builtins

Attribut _map_relation_attribute_stereotypes

Declaration :

- Uml : static, # _map_relation_attribute_stereotypes : UmlStereotype
- C++ : protected: static QDict<UmlStereotype> _map_relation_attribute_stereotypes
- Java : protected static Hashtable _map_relation_attribute_stereotypes

Relation _relation_attribute_stereotypes (<unidirectional association>)

Declaration :

- Uml : static, # _relation_attribute_stereotypes : UmlStereotype
- C++ : protected: static UmlStereotype * _relation_attribute_stereotypes
- Java : protected static UmlStereotype[] _relation_attribute_stereotypes

Attribut _map_class_stereotypes

Declaration :

- Uml : static, # _map_class_stereotypes : UmlStereotype
- C++ : protected: static QDict<UmlStereotype> _map_class_stereotypes
- Java : protected static Hashtable _map_class_stereotypes

Relation _class_stereotypes (<unidirectional association>)

Declaration :

- Uml : static, # _class_stereotypes : UmlStereotype
- C++ : protected: static UmlStereotype * _class_stereotypes
- Java : protected static UmlStereotype[] _class_stereotypes

Operation read_

internal, do NOT use it

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

Operation read_if_needed_

internal, do NOT use it

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

Operation multiplicity_column

internal, do NOT use it

Declaration :

- Uml : static, # multiplicity_column(in mult : string) : unsigned
- C++ : protected: static unsigned multiplicity_column(const QCString & mult)
- Java : protected static int multiplicity_column(String mult)

Operation uml_type

internal, do NOT use it

Declaration :

- Uml : static, # uml_type(in t : string, inout f : string) : string
- C++ : protected: static QCString uml_type(const QCString & t, QCString UmlBuiltin::* f)

Operation uml_rel_attr_stereotype

internal, do NOT use it

Declaration :

- Uml : static, # uml_rel_attr_stereotype(in t : string, inout f : string) : string
- C++ : protected: static QCString uml_rel_attr_stereotype(const QCString & t, QCString UmlStereotype::* f)

Operation uml_class_stereotype

internal, do NOT use it

Declaration :

- Uml : static, # uml_class_stereotype(in t : string, inout f : string) : string
- C++ : protected: static QCString uml_class_stereotype(const QCString & t, QCString UmlStereotype::* f)

Operation add_type

internal, do NOT use it

Declaration :

- Uml : static, # add_type(in s : string) : UmlBuiltin
- C++ : protected: static UmlBuiltin * add_type(const QCString & s)
- Java : protected static UmlBuiltin add_type(String s)

Operation add_rel_attr_stereotype

internal, do NOT use it

Declaration :

- Uml : static, # add_rel_attr_stereotype(in s : string) : UmlStereotype
- C++ : protected: static UmlStereotype * add_rel_attr_stereotype(const QCString & s)
- Java : protected static UmlStereotype add_rel_attr_stereotype(String s)

Operation add_class_stereotype

internal, do NOT use it

Declaration :

- Uml : static, # add_class_stereotype(in s : string) : UmlStereotype
- C++ : protected: static UmlStereotype * add_class_stereotype(const QCString & s)
- Java : protected static UmlStereotype add_class_stereotype(String s)

All public operations : artifactDescription , attributeDescription , classDescription , operationDescription , relationDescription , set_ArtifactDescription , set_AttributeDescription , set_ClassDescription , set_OperationDescription , set_RelationDescription , set_UmlGetName , set_UmlSetName , umlGetName , umlSetName